pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 14.0.1 20240328 (Red Hat 14.0.1-0)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#83877066#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#30305195#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#708b39be#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#ecf0eebb#;
   pragma Export (C, u00005, "ada__exceptionsB");
   u00006 : constant Version_32 := 16#1274cc34#;
   pragma Export (C, u00006, "ada__exceptionsS");
   u00007 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00007, "adaS");
   u00008 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00008, "ada__exceptions__last_chance_handlerB");
   u00009 : constant Version_32 := 16#a028f72d#;
   pragma Export (C, u00009, "ada__exceptions__last_chance_handlerS");
   u00010 : constant Version_32 := 16#62859e27#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00011, "system__soft_linksB");
   u00012 : constant Version_32 := 16#33f1d1da#;
   pragma Export (C, u00012, "system__soft_linksS");
   u00013 : constant Version_32 := 16#524f7d04#;
   pragma Export (C, u00013, "system__secondary_stackB");
   u00014 : constant Version_32 := 16#cc4ecf2b#;
   pragma Export (C, u00014, "system__secondary_stackS");
   u00015 : constant Version_32 := 16#a43efea2#;
   pragma Export (C, u00015, "system__parametersB");
   u00016 : constant Version_32 := 16#57126236#;
   pragma Export (C, u00016, "system__parametersS");
   u00017 : constant Version_32 := 16#ae5b4acf#;
   pragma Export (C, u00017, "system__storage_elementsS");
   u00018 : constant Version_32 := 16#0286ce9f#;
   pragma Export (C, u00018, "system__soft_links__initializeB");
   u00019 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00019, "system__soft_links__initializeS");
   u00020 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00020, "system__stack_checkingB");
   u00021 : constant Version_32 := 16#a5da8b31#;
   pragma Export (C, u00021, "system__stack_checkingS");
   u00022 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00022, "system__exception_tableB");
   u00023 : constant Version_32 := 16#efaee83e#;
   pragma Export (C, u00023, "system__exception_tableS");
   u00024 : constant Version_32 := 16#50202115#;
   pragma Export (C, u00024, "system__exceptionsS");
   u00025 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00025, "system__exceptions__machineB");
   u00026 : constant Version_32 := 16#46355a4a#;
   pragma Export (C, u00026, "system__exceptions__machineS");
   u00027 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00027, "system__exceptions_debugB");
   u00028 : constant Version_32 := 16#528bc674#;
   pragma Export (C, u00028, "system__exceptions_debugS");
   u00029 : constant Version_32 := 16#401add66#;
   pragma Export (C, u00029, "system__img_intS");
   u00030 : constant Version_32 := 16#f2c63a02#;
   pragma Export (C, u00030, "ada__numericsS");
   u00031 : constant Version_32 := 16#174f5472#;
   pragma Export (C, u00031, "ada__numerics__big_numbersS");
   u00032 : constant Version_32 := 16#98afe17e#;
   pragma Export (C, u00032, "system__unsigned_typesS");
   u00033 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00033, "system__tracebackB");
   u00034 : constant Version_32 := 16#e41f6a9a#;
   pragma Export (C, u00034, "system__tracebackS");
   u00035 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00035, "system__traceback_entriesB");
   u00036 : constant Version_32 := 16#aa9921ab#;
   pragma Export (C, u00036, "system__traceback_entriesS");
   u00037 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00037, "system__traceback__symbolicB");
   u00038 : constant Version_32 := 16#140ceb78#;
   pragma Export (C, u00038, "system__traceback__symbolicS");
   u00039 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00039, "ada__exceptions__tracebackB");
   u00040 : constant Version_32 := 16#26ed0985#;
   pragma Export (C, u00040, "ada__exceptions__tracebackS");
   u00041 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00041, "system__address_imageB");
   u00042 : constant Version_32 := 16#c369031d#;
   pragma Export (C, u00042, "system__address_imageS");
   u00043 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00043, "system__wch_conB");
   u00044 : constant Version_32 := 16#bb86bd44#;
   pragma Export (C, u00044, "system__wch_conS");
   u00045 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00045, "system__wch_stwB");
   u00046 : constant Version_32 := 16#96979145#;
   pragma Export (C, u00046, "system__wch_stwS");
   u00047 : constant Version_32 := 16#a931ce33#;
   pragma Export (C, u00047, "system__wch_cnvB");
   u00048 : constant Version_32 := 16#bd467734#;
   pragma Export (C, u00048, "system__wch_cnvS");
   u00049 : constant Version_32 := 16#44f60a17#;
   pragma Export (C, u00049, "interfacesS");
   u00050 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00050, "system__wch_jisB");
   u00051 : constant Version_32 := 16#08f1151e#;
   pragma Export (C, u00051, "system__wch_jisS");
   u00052 : constant Version_32 := 16#634de29b#;
   pragma Export (C, u00052, "aliB");
   u00053 : constant Version_32 := 16#d40682d6#;
   pragma Export (C, u00053, "aliS");
   u00054 : constant Version_32 := 16#17b710b4#;
   pragma Export (C, u00054, "butilB");
   u00055 : constant Version_32 := 16#02d57147#;
   pragma Export (C, u00055, "butilS");
   u00056 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00056, "gnatS");
   u00057 : constant Version_32 := 16#660dd801#;
   pragma Export (C, u00057, "optB");
   u00058 : constant Version_32 := 16#9c9fbe2c#;
   pragma Export (C, u00058, "optS");
   u00059 : constant Version_32 := 16#b5366062#;
   pragma Export (C, u00059, "csetsB");
   u00060 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00060, "csetsS");
   u00061 : constant Version_32 := 16#3b0dbbfa#;
   pragma Export (C, u00061, "hostparmS");
   u00062 : constant Version_32 := 16#ca878138#;
   pragma Export (C, u00062, "system__concat_2B");
   u00063 : constant Version_32 := 16#d77eedd0#;
   pragma Export (C, u00063, "system__concat_2S");
   u00064 : constant Version_32 := 16#d4e0603b#;
   pragma Export (C, u00064, "typesB");
   u00065 : constant Version_32 := 16#fc9c2399#;
   pragma Export (C, u00065, "typesS");
   u00066 : constant Version_32 := 16#ec48c658#;
   pragma Export (C, u00066, "system__compare_array_unsigned_8B");
   u00067 : constant Version_32 := 16#f2630044#;
   pragma Export (C, u00067, "system__compare_array_unsigned_8S");
   u00068 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00068, "system__address_operationsB");
   u00069 : constant Version_32 := 16#1cb1b287#;
   pragma Export (C, u00069, "system__address_operationsS");
   u00070 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00070, "system__stringsB");
   u00071 : constant Version_32 := 16#f9079e3f#;
   pragma Export (C, u00071, "system__stringsS");
   u00072 : constant Version_32 := 16#a61ae265#;
   pragma Export (C, u00072, "outputB");
   u00073 : constant Version_32 := 16#dfee97b2#;
   pragma Export (C, u00073, "outputS");
   u00074 : constant Version_32 := 16#29c68ba2#;
   pragma Export (C, u00074, "system__os_libB");
   u00075 : constant Version_32 := 16#98e94e78#;
   pragma Export (C, u00075, "system__os_libS");
   u00076 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00076, "system__case_utilB");
   u00077 : constant Version_32 := 16#ad964972#;
   pragma Export (C, u00077, "system__case_utilS");
   u00078 : constant Version_32 := 16#e9a1f9a8#;
   pragma Export (C, u00078, "system__crtlS");
   u00079 : constant Version_32 := 16#cf6804f9#;
   pragma Export (C, u00079, "nametB");
   u00080 : constant Version_32 := 16#bc7da6aa#;
   pragma Export (C, u00080, "nametS");
   u00081 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00081, "debugB");
   u00082 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00082, "debugS");
   u00083 : constant Version_32 := 16#5be1895f#;
   pragma Export (C, u00083, "widecharB");
   u00084 : constant Version_32 := 16#fc939d63#;
   pragma Export (C, u00084, "widecharS");
   u00085 : constant Version_32 := 16#1b78961f#;
   pragma Export (C, u00085, "allocS");
   u00086 : constant Version_32 := 16#4ee975b8#;
   pragma Export (C, u00086, "tableB");
   u00087 : constant Version_32 := 16#f93c8813#;
   pragma Export (C, u00087, "tableS");
   u00088 : constant Version_32 := 16#8f2423cb#;
   pragma Export (C, u00088, "system__memoryB");
   u00089 : constant Version_32 := 16#7a11023d#;
   pragma Export (C, u00089, "system__memoryS");
   u00090 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00090, "fnameB");
   u00091 : constant Version_32 := 16#cdf3f413#;
   pragma Export (C, u00091, "fnameS");
   u00092 : constant Version_32 := 16#26305230#;
   pragma Export (C, u00092, "gnat__dynamic_htablesB");
   u00093 : constant Version_32 := 16#2317962f#;
   pragma Export (C, u00093, "gnat__dynamic_htablesS");
   u00094 : constant Version_32 := 16#f2ec6d60#;
   pragma Export (C, u00094, "osintB");
   u00095 : constant Version_32 := 16#09f7cb68#;
   pragma Export (C, u00095, "osintS");
   u00096 : constant Version_32 := 16#c82691db#;
   pragma Export (C, u00096, "fmapB");
   u00097 : constant Version_32 := 16#19fb29a0#;
   pragma Export (C, u00097, "fmapS");
   u00098 : constant Version_32 := 16#9f9cc922#;
   pragma Export (C, u00098, "gnat__htableB");
   u00099 : constant Version_32 := 16#4a45b320#;
   pragma Export (C, u00099, "gnat__htableS");
   u00100 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00100, "system__htableB");
   u00101 : constant Version_32 := 16#e35cc6cc#;
   pragma Export (C, u00101, "system__htableS");
   u00102 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00102, "system__string_hashB");
   u00103 : constant Version_32 := 16#441946b3#;
   pragma Export (C, u00103, "system__string_hashS");
   u00104 : constant Version_32 := 16#8543fa0e#;
   pragma Export (C, u00104, "gnatvsnB");
   u00105 : constant Version_32 := 16#dc334c14#;
   pragma Export (C, u00105, "gnatvsnS");
   u00106 : constant Version_32 := 16#f28bed7b#;
   pragma Export (C, u00106, "sdefaultB");
   u00107 : constant Version_32 := 16#2b49f98f#;
   pragma Export (C, u00107, "sdefaultS");
   u00108 : constant Version_32 := 16#c781d600#;
   pragma Export (C, u00108, "targparmB");
   u00109 : constant Version_32 := 16#c8d35e80#;
   pragma Export (C, u00109, "targparmS");
   u00110 : constant Version_32 := 16#29e0a804#;
   pragma Export (C, u00110, "ridentS");
   u00111 : constant Version_32 := 16#77c57089#;
   pragma Export (C, u00111, "snamesB");
   u00112 : constant Version_32 := 16#a0667f8a#;
   pragma Export (C, u00112, "snamesS");
   u00113 : constant Version_32 := 16#896e4d40#;
   pragma Export (C, u00113, "casingB");
   u00114 : constant Version_32 := 16#cdd9f882#;
   pragma Export (C, u00114, "casingS");
   u00115 : constant Version_32 := 16#63ad7de2#;
   pragma Export (C, u00115, "ali__utilB");
   u00116 : constant Version_32 := 16#f9319136#;
   pragma Export (C, u00116, "ali__utilS");
   u00117 : constant Version_32 := 16#6750b189#;
   pragma Export (C, u00117, "atreeB");
   u00118 : constant Version_32 := 16#69168b13#;
   pragma Export (C, u00118, "atreeS");
   u00119 : constant Version_32 := 16#79071ca6#;
   pragma Export (C, u00119, "nlistsB");
   u00120 : constant Version_32 := 16#e95c43d8#;
   pragma Export (C, u00120, "nlistsS");
   u00121 : constant Version_32 := 16#4e4c2b5c#;
   pragma Export (C, u00121, "sinfoS");
   u00122 : constant Version_32 := 16#7f803426#;
   pragma Export (C, u00122, "uintpB");
   u00123 : constant Version_32 := 16#c8c1c4a4#;
   pragma Export (C, u00123, "uintpS");
   u00124 : constant Version_32 := 16#e2a447d9#;
   pragma Export (C, u00124, "urealpB");
   u00125 : constant Version_32 := 16#5a74d7ac#;
   pragma Export (C, u00125, "urealpS");
   u00126 : constant Version_32 := 16#72e27e70#;
   pragma Export (C, u00126, "sinfo__nodesB");
   u00127 : constant Version_32 := 16#35274965#;
   pragma Export (C, u00127, "sinfo__nodesS");
   u00128 : constant Version_32 := 16#8217e4e6#;
   pragma Export (C, u00128, "einfoS");
   u00129 : constant Version_32 := 16#6e11a734#;
   pragma Export (C, u00129, "standS");
   u00130 : constant Version_32 := 16#c17687f6#;
   pragma Export (C, u00130, "einfo__utilsB");
   u00131 : constant Version_32 := 16#286ac10f#;
   pragma Export (C, u00131, "einfo__utilsS");
   u00132 : constant Version_32 := 16#f5b8535a#;
   pragma Export (C, u00132, "elistsB");
   u00133 : constant Version_32 := 16#9ebd8804#;
   pragma Export (C, u00133, "elistsS");
   u00134 : constant Version_32 := 16#a4bfb567#;
   pragma Export (C, u00134, "sinfo__utilsB");
   u00135 : constant Version_32 := 16#39753ac4#;
   pragma Export (C, u00135, "sinfo__utilsS");
   u00136 : constant Version_32 := 16#bdc9a102#;
   pragma Export (C, u00136, "seinfoS");
   u00137 : constant Version_32 := 16#00bebabe#;
   pragma Export (C, u00137, "sinputB");
   u00138 : constant Version_32 := 16#6f228988#;
   pragma Export (C, u00138, "sinputS");
   u00139 : constant Version_32 := 16#641bd22f#;
   pragma Export (C, u00139, "gnat__byte_order_markB");
   u00140 : constant Version_32 := 16#0475df31#;
   pragma Export (C, u00140, "gnat__byte_order_markS");
   u00141 : constant Version_32 := 16#888d49e8#;
   pragma Export (C, u00141, "scansB");
   u00142 : constant Version_32 := 16#39164082#;
   pragma Export (C, u00142, "scansS");
   u00143 : constant Version_32 := 16#a8cfb19b#;
   pragma Export (C, u00143, "einfo__entitiesB");
   u00144 : constant Version_32 := 16#a1f0f442#;
   pragma Export (C, u00144, "einfo__entitiesS");
   u00145 : constant Version_32 := 16#ada256a8#;
   pragma Export (C, u00145, "binderrB");
   u00146 : constant Version_32 := 16#08adca1b#;
   pragma Export (C, u00146, "binderrS");
   u00147 : constant Version_32 := 16#21808848#;
   pragma Export (C, u00147, "err_varsS");
   u00148 : constant Version_32 := 16#88766b1a#;
   pragma Export (C, u00148, "erroutB");
   u00149 : constant Version_32 := 16#a9a29ce7#;
   pragma Export (C, u00149, "erroutS");
   u00150 : constant Version_32 := 16#59252567#;
   pragma Export (C, u00150, "erroutcB");
   u00151 : constant Version_32 := 16#d899a7ca#;
   pragma Export (C, u00151, "erroutcS");
   u00152 : constant Version_32 := 16#48e1701b#;
   pragma Export (C, u00152, "stringtB");
   u00153 : constant Version_32 := 16#2409adf9#;
   pragma Export (C, u00153, "stringtS");
   u00154 : constant Version_32 := 16#b5ca0fc4#;
   pragma Export (C, u00154, "warnswB");
   u00155 : constant Version_32 := 16#00800d78#;
   pragma Export (C, u00155, "warnswS");
   u00156 : constant Version_32 := 16#12b43ba6#;
   pragma Export (C, u00156, "libB");
   u00157 : constant Version_32 := 16#181108e0#;
   pragma Export (C, u00157, "libS");
   u00158 : constant Version_32 := 16#1d46c022#;
   pragma Export (C, u00158, "unameB");
   u00159 : constant Version_32 := 16#480cff7e#;
   pragma Export (C, u00159, "unameS");
   u00160 : constant Version_32 := 16#5573411f#;
   pragma Export (C, u00160, "sem_auxB");
   u00161 : constant Version_32 := 16#1958e418#;
   pragma Export (C, u00161, "sem_auxS");
   u00162 : constant Version_32 := 16#ff71c27f#;
   pragma Export (C, u00162, "styleswB");
   u00163 : constant Version_32 := 16#e0cceae4#;
   pragma Export (C, u00163, "styleswS");
   u00164 : constant Version_32 := 16#0f714474#;
   pragma Export (C, u00164, "scngB");
   u00165 : constant Version_32 := 16#1af0dce9#;
   pragma Export (C, u00165, "scngS");
   u00166 : constant Version_32 := 16#1e6e5cd0#;
   pragma Export (C, u00166, "system__crc32B");
   u00167 : constant Version_32 := 16#02bb2785#;
   pragma Export (C, u00167, "system__crc32S");
   u00168 : constant Version_32 := 16#1f3e80d3#;
   pragma Export (C, u00168, "system__utf_32B");
   u00169 : constant Version_32 := 16#e6e44f98#;
   pragma Export (C, u00169, "system__utf_32S");
   u00170 : constant Version_32 := 16#de89d32c#;
   pragma Export (C, u00170, "stylegB");
   u00171 : constant Version_32 := 16#635961f4#;
   pragma Export (C, u00171, "stylegS");
   u00172 : constant Version_32 := 16#6f83bdf5#;
   pragma Export (C, u00172, "sinput__cB");
   u00173 : constant Version_32 := 16#8803fa47#;
   pragma Export (C, u00173, "sinput__cS");
   u00174 : constant Version_32 := 16#68fc150d#;
   pragma Export (C, u00174, "bcheckB");
   u00175 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00175, "bcheckS");
   u00176 : constant Version_32 := 16#43df9237#;
   pragma Export (C, u00176, "bindgenB");
   u00177 : constant Version_32 := 16#cf43ceaf#;
   pragma Export (C, u00177, "bindgenS");
   u00178 : constant Version_32 := 16#89e8bac3#;
   pragma Export (C, u00178, "gnat__heap_sort_aB");
   u00179 : constant Version_32 := 16#a0f346d1#;
   pragma Export (C, u00179, "gnat__heap_sort_aS");
   u00180 : constant Version_32 := 16#e22e9939#;
   pragma Export (C, u00180, "osint__bB");
   u00181 : constant Version_32 := 16#cc9435e0#;
   pragma Export (C, u00181, "osint__bS");
   u00182 : constant Version_32 := 16#ea8cf86f#;
   pragma Export (C, u00182, "bindoB");
   u00183 : constant Version_32 := 16#980d5858#;
   pragma Export (C, u00183, "bindoS");
   u00184 : constant Version_32 := 16#cb644e34#;
   pragma Export (C, u00184, "bindeB");
   u00185 : constant Version_32 := 16#c95f6cfc#;
   pragma Export (C, u00185, "bindeS");
   u00186 : constant Version_32 := 16#52d0e92c#;
   pragma Export (C, u00186, "bindo__elaboratorsB");
   u00187 : constant Version_32 := 16#ba15b383#;
   pragma Export (C, u00187, "bindo__elaboratorsS");
   u00188 : constant Version_32 := 16#8de6a879#;
   pragma Export (C, u00188, "bindo__augmentorsB");
   u00189 : constant Version_32 := 16#4de1d230#;
   pragma Export (C, u00189, "bindo__augmentorsS");
   u00190 : constant Version_32 := 16#70cea529#;
   pragma Export (C, u00190, "bindo__writersB");
   u00191 : constant Version_32 := 16#f0aa20d5#;
   pragma Export (C, u00191, "bindo__writersS");
   u00192 : constant Version_32 := 16#0426d861#;
   pragma Export (C, u00192, "bindo__unitsB");
   u00193 : constant Version_32 := 16#02f95f8c#;
   pragma Export (C, u00193, "bindo__unitsS");
   u00194 : constant Version_32 := 16#6ffde2e6#;
   pragma Export (C, u00194, "gnat__setsB");
   u00195 : constant Version_32 := 16#f203e24e#;
   pragma Export (C, u00195, "gnat__setsS");
   u00196 : constant Version_32 := 16#18033725#;
   pragma Export (C, u00196, "gnat__graphsB");
   u00197 : constant Version_32 := 16#cb5490cc#;
   pragma Export (C, u00197, "gnat__graphsS");
   u00198 : constant Version_32 := 16#40b0a077#;
   pragma Export (C, u00198, "gnat__listsB");
   u00199 : constant Version_32 := 16#4d95c121#;
   pragma Export (C, u00199, "gnat__listsS");
   u00200 : constant Version_32 := 16#51bd4a32#;
   pragma Export (C, u00200, "bindo__graphsB");
   u00201 : constant Version_32 := 16#adb854b3#;
   pragma Export (C, u00201, "bindo__graphsS");
   u00202 : constant Version_32 := 16#378fa786#;
   pragma Export (C, u00202, "bindo__buildersB");
   u00203 : constant Version_32 := 16#1ff68edf#;
   pragma Export (C, u00203, "bindo__buildersS");
   u00204 : constant Version_32 := 16#60a94aad#;
   pragma Export (C, u00204, "bindo__validatorsB");
   u00205 : constant Version_32 := 16#500a8d28#;
   pragma Export (C, u00205, "bindo__validatorsS");
   u00206 : constant Version_32 := 16#14298719#;
   pragma Export (C, u00206, "bindo__diagnosticsB");
   u00207 : constant Version_32 := 16#0693eff6#;
   pragma Export (C, u00207, "bindo__diagnosticsS");
   u00208 : constant Version_32 := 16#0bf3fb56#;
   pragma Export (C, u00208, "bindusgB");
   u00209 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00209, "bindusgS");
   u00210 : constant Version_32 := 16#52ebc05d#;
   pragma Export (C, u00210, "switchB");
   u00211 : constant Version_32 := 16#3579e846#;
   pragma Export (C, u00211, "switchS");
   u00212 : constant Version_32 := 16#767588c3#;
   pragma Export (C, u00212, "switch__bB");
   u00213 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00213, "switch__bS");
   u00214 : constant Version_32 := 16#4282cd51#;
   pragma Export (C, u00214, "system__response_fileB");
   u00215 : constant Version_32 := 16#dc02831e#;
   pragma Export (C, u00215, "system__response_fileS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.storage_elements%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.img_int%s
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  gnat.lists%s
   --  gnat.lists%b
   --  gnat.sets%s
   --  gnat.sets%b
   --  gnat.graphs%s
   --  gnat.graphs%b
   --  system.response_file%s
   --  system.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  opt%s
   --  csets%s
   --  csets%b
   --  opt%b
   --  output%s
   --  output%b
   --  rident%s
   --  seinfo%s
   --  stand%s
   --  stylesw%s
   --  stylesw%b
   --  table%s
   --  table%b
   --  elists%s
   --  elists%b
   --  uintp%s
   --  uintp%b
   --  urealp%s
   --  urealp%b
   --  warnsw%s
   --  warnsw%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  binderr%s
   --  binderr%b
   --  casing%s
   --  casing%b
   --  err_vars%s
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  osint.b%s
   --  osint.b%b
   --  sinfo%s
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  binde%s
   --  binde%b
   --  bindgen%s
   --  bindgen%b
   --  bindo%s
   --  bindo.units%s
   --  bindo.graphs%s
   --  bindo.augmentors%s
   --  bindo.builders%s
   --  bindo.diagnostics%s
   --  bindo.elaborators%s
   --  bindo%b
   --  bindo.validators%s
   --  bindo.writers%s
   --  bindo.writers%b
   --  bindo.augmentors%b
   --  bindo.builders%b
   --  bindo.diagnostics%b
   --  bindo.elaborators%b
   --  bindo.graphs%b
   --  bindo.units%b
   --  bindo.validators%b
   --  einfo%s
   --  scans%s
   --  scans%b
   --  nlists%s
   --  sinfo.nodes%s
   --  einfo.entities%s
   --  einfo.utils%s
   --  atree%s
   --  einfo.entities%b
   --  nlists%b
   --  sinfo.utils%s
   --  atree%b
   --  einfo.utils%b
   --  sinfo.nodes%b
   --  sinput%s
   --  sinput%b
   --  sinfo.utils%b
   --  sem_aux%s
   --  sem_aux%b
   --  sinput.c%s
   --  sinput.c%b
   --  stringt%s
   --  stringt%b
   --  erroutc%s
   --  erroutc%b
   --  lib%s
   --  uname%s
   --  uname%b
   --  lib%b
   --  errout%s
   --  errout%b
   --  styleg%s
   --  styleg%b
   --  scng%s
   --  scng%b
   --  ali.util%s
   --  ali.util%b
   --  bcheck%s
   --  bcheck%b
   --  switch%s
   --  switch%b
   --  bindusg%s
   --  bindusg%b
   --  switch.b%s
   --  switch.b%b
   --  gnatbind%s
   --  gnatbind%b
   --  END ELABORATION ORDER

end ada_main;
